<?php
/**
 * @version		3.8
 * @package		Joomla
 * @subpackage	Joom Donation
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2014 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
defined('_JEXEC') or die ;
error_reporting(0);
require_once JPATH_ADMINISTRATOR . '/components/com_jdonation/loader.php';
$db = JFactory::getDbo();
$query = $db->getQuery(true);
$styleUrl = JUri::base(true) . '/components/com_jdonation/assets/css/style.css';
JFactory::getDocument()->addStylesheet($styleUrl, 'text/css', null, null);
DonationHelper::loadLanguage();
$config = DonationHelper::getConfig();
$donorType = $params->get('donor_type', 0);
$numberDonors = $params->get('number_donors', 6);
$integration = $params->get('integration', 0);
$displayUsername = $params->get('display_username', 1);
$campaignIds = trim($params->get('campaign_ids'));
$model = OSFModel::getInstance('Donors', 'DonationModel', array('option' => 'com_jdonation', 'ignore_request' => true, 'remember_states' => false, 'table_prefix' => '#__jd_', 'class_prefix' => 'Donation'));
$model->filter_state('P');
if ($campaignIds)
{
    $model->filter_campaign_ids($campaignIds);
}
switch ($donorType)
{
    case 0:
        $model->filter_order('amount')
            ->filter_order_Dir('DESC');
        break;
    case 1:
        $model->filter_order('created_date')
            ->filter_order_Dir('DESC');
        break;
    case 2:
        $model->filter_order('rand()')
            ->filder_order_Dir('');
        break;
}
$model->limitstart(0)
    ->limit($numberDonors);
$rows = $model->getData();
if ($integration == 1)
{
    $query->select('id')
        ->from('#__menu')
        ->where("link LIKE '%index.php?option=com_comprofiler%'");
    $db->setQuery($query);
    $itemId = $db->loadResult();
} elseif ($integration == 2) {
    $query->select('id')
        ->from('#__menu')
        ->where("link LIKE '%index.php?option=com_community%'");
    $db->setQuery($query);
    $itemId = $db->loadResult();
}
require(JModuleHelper::getLayoutPath('mod_jd_donors', 'default'));