<?php
/**
 * @version		3.7
 * @package		Joomla
 * @subpackage	Joom Donation
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2014 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
defined('_JEXEC') or die ;
?>
<table width="100%" cellpadding="0" cellspacing="0" class="table table-striped donate-details">
	<?php
		if (count($rows))
        {
		?>
		<?php	
			$k = 0;
			for ($i = 0 , $n = count($rows); $i < $n; $i++)
            {
				$row = $rows[$i];
				if ($row->hide_me == 1)
	            {
		            $row->first_name = 'Anonymous' ;
		            $row->last_name = '' ;
	            }
			?>
			<tr>
				<td>
					<strong>
						<?php 
							$name = $row->first_name.' '.$row->last_name ;							
							if ($row->user_id > 0)
                            {
								if ($displayUsername)
                                {
                                    $name = $row->username ;
                                }
								if ($integration == 1)
                                {
									$link = "index.php?option=com_comprofiler&task=userProfile&user=$row->user_id&Itemid=$itemId";
								?>
									<a href="<?php echo $link; ?>"><?php echo $name; ?></a>
								<?php		
								}
                                elseif ($integration == 2)
                                {
									$link = "index.php?option=com_community&view=profile&userid=$row->user_id&Itemid=$itemId";
								?>
									<a href="<?php echo $link; ?>"><?php echo $name; ?></a>
								<?php									
								}
                                else
                                {
									echo $name ;
								}
							}
                            else
                            {
								echo $name ;
							}
						 ?>																	
					</strong><br />
                    <small><?php echo DonationHelperHtml::ago(strtotime($row->created_date)); ?></small>
				</td>
				<td style="text-align: right;">
					<strong class="orange"><?php echo DonationHelperHtml::formatAmount($config, $row->amount);?></strong>
				</td>
			</tr>
			<?php	
				$k =  1- $k;
			}
		}
        else
        {
		?>
			<div class="empty"><?php echo JText::_('JD_EMPTY_DONORS'); ?></div>
		<?php	
		}
	?>
</table>